
<div class="row">
    <form [formGroup]="form">
        <div class="card-panel questionnaire">
            <div class="row">
                <div class="col l12 input-field">
                    <label for="investment_name">Nombre de tu inversión</label>
                    <input id="investment_name"
                           type="text"
                           formControlName="investment_name"
                           [class.invalid]="!form.controls['investment_name'].valid && form.controls['investment_name'].touched">
                </div>
            </div>
            <div class="row">
                <div class="col l6">
                    <div class="row">
                        <div class="col l12">
                            <p class="investment-question">
                                ¿Tienes alguna meta en mente?
                            </p>
                            <div class="input-field">
                                <input name="with-or-without-goal"
                                       type="radio"
                                       (click)="selectGoal(true)"
                                       [checked]="formWithGoal()"
                                       id="with_goal" />
                                <label for="with_goal">Sí, quiero invertir para lograr una meta</label>
                            </div>
                            <div class="input-field">
                                <input name="with-or-without-goal"
                                       type="radio"
                                       (click)="selectGoal(false)"
                                       [checked]="!formWithGoal()"
                                       id="without_goal" />
                                <label for="without_goal">No, sólo quiero invertir</label>
                            </div>
                        </div>
                    </div>
                    <div [class.invisible]="profileHasBirthDate" class="row">
                        <div class="col l6 input-field">
                            <label [attr.for]="'birth_date_' + investment.id">
                                Fecha de nacimiento
                            </label>
                            <input [attr.id]="'birth_date_' + investment.id"
                                   type="date"
                                   class="datepicker"
                                   formControlName="birth_date">
                        </div>
                    </div>
                </div>
                <div class="col l6">
                    <p class="investment-question">
                        ¿Con qué enunciado te identificas más para esta inversión?
                    </p>
                    <div class="input-field">
                        <input name="aversion"
                               type="radio"
                               id="aversion-level-1"
                               [checked]="formAversionAt(1)"
                               (click)="selectAversion(1)"/>
                        <label for="aversion-level-1">Evitar pérdidas es mi prioridad</label>
                    </div>
                    <div class="input-field">
                        <input name="aversion"
                               type="radio"
                               id="aversion-level-2"
                               [checked]="formAversionAt(2)"
                               (click)="selectAversion(2)"/>
                        <label for="aversion-level-2">Lento pero seguro es mejor</label>
                    </div>
                    <div class="input-field">
                        <input name="aversion"
                               type="radio"
                               id="aversion-level-3"
                               [checked]="formAversionAt(3)"
                               (click)="selectAversion(3)"/>
                        <label for="aversion-level-3">Me siento cómodo con la incertidumbre</label>
                    </div>
                    <div class="input-field">
                        <input name="aversion"
                               type="radio"
                               id="aversion-level-4"
                               [checked]="formAversionAt(4)"
                               (click)="selectAversion(4)"/>
                        <label for="aversion-level-4">El que no arriesga no gana</label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col l4 input-field">
                    <label for="initial_investment">Inversión inicial (MXN $)</label>
                    <input id="initial_investment"
                           type="number"
                           min="0"
                           formControlName="initial_investment"
                           [class.invalid]="!form.controls['initial_investment'].valid && form.controls['initial_investment'].touched">
                </div>
                <div class="col l4 input-field">
                    <label for="dynamic_field">{{ dynamicFieldHeading() }}</label>
                    <input id="dynamic_field"
                           type="number"
                           min="0"
                           formControlName="dynamic_field"
                           [class.invalid]="!form.controls['dynamic_field'].valid && form.controls['dynamic_field'].touched">
                </div>
                <div class="col l4 input-field">
                    <label for="horizon">Tiempo (años)</label>
                    <input id="horizon"
                           type="number"
                           min="0"
                           formControlName="horizon"
                           [class.invalid]="!form.controls['horizon'].valid && form.controls['horizon'].touched">
                </div>
            </div>
            <div class="row">
                <div class="col l12">
                    <p class="investment-question">
                        ¿Con qué nivel de fluctuación te sientes cómodo?
                    </p>
                </div>
                <div>
                    <div class="col l4 left-align">
                        $ 0
                    </div>
                    <div class="col l4 center-align">
                        {{ initialInvestment() | currency:'USD':true:'1.0' }}
                    </div>
                    <div class="col l4 right-align">
                        {{ initialInvestment('with_gain') | currency:'USD':true:'1.0' }}
                    </div>
                    <div class="col l12">
                        <div [attr.id]="'volatility_slider_' + investment.id"></div>
                    </div>
                </div>
            </div>
            <br><br>
            <!-- <div class="row">
                 <div class="right-align">
                 <button class="waves-effect waves-light btn"
                 (click)="newInvestment(form)"
                 [disabled]="!form.valid">
                 Eliminar
                 </button>
                 <button class="waves-effect waves-light btn"
                 (click)="newInvestment(form)"
                 [disabled]="!form.valid">
                 Actualizar
                 </button>
                 </div>
                 </div> -->
        </div>
    </form>
</div>
